Bug 996210 - Upgrade designer to batik 1.7 (to be aligned with SwitchYard)
Upgrade designer to batik 1.7 (to be aligned with SwitchYard)
Status: ASSIGNED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ---
: 6.0.0
Assigned To: Tihomir Surdilovic
Kirill Gaevskii
:
Depends On:
Blocks: 989519
  Show dependency treegraph
 
Reported: 2013-08-12 12:27 EDT by Geoffrey De Smet
Modified: 2015-06-02 05:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Geoffrey De Smet 2013-08-12 12:27:37 EDT
Problem: Designer uses batik 1.6-1 and SwitchYard uses 1.7. Lowest one needs to upgrade...

HOWTO:

Changes in kie-parent-with-dependencies and designer poms:

Upgrade batik from 1.6-1 to 1.7.
Change the groupId of all batik artifacts to "org.apache.xmlgraphics".
Rename property version.batik to version.org.apache.xmlgraphics.batik.
Upgrade fop to 1.1
Upgrade xmlgraphics-commons to 1.5
Remove avalon-framework alltogether (it will come in as a transitive dependency).
Comment 2 Tihomir Surdilovic 2013-08-16 13:57:05 EDT
There seems to be an issue with removing the avalon framework:

The following artifacts could not be resolved: org.apache.avalon.framework:avalon-framework-api:jar:4.2.0, org.apache.avalon.framework:avalon-framework-impl:jar:4.2.0: Could not find artifact org.apache.avalon.framework:avalon-framework-api:jar:4.2.0 in jboss-public-repository-group (http://repository.jboss.org/nexus/content/groups/public/) -> [Help 1]

fop 1.1 is pulling in with the groupid of org.apache.avalon.framework but in nexus it has the group id of "avalon-framework". 

Please advise on what to do now (exclude avalon from fop and add explicitly one from nexus with the different group id maybe?)

Thanks.
Comment 3 Tihomir Surdilovic 2013-08-16 15:05:43 EDT
Looking at SY parent pom https://github.com/jboss-switchyard/parent/blob/master/pom.xml I don't see a depends to fop. Is there some other repo where I can see how to resolve the avalon problem?
Comment 4 Geoffrey De Smet 2013-08-23 10:28:20 EDT
SY depends on Batik 1.7.
https://github.com/jboss-switchyard/parent/blob/master/pom.xml#L65
Upgrading fop and xmlgraphic-commons is not required.
Comment 5 Tihomir Surdilovic 2013-09-10 09:06:46 EDT
There are number of issues on both AS7 and Tomcat with this upgrade. They all have to do with classloading. Here are some links describing problems:

- https://bugs.launchpad.net/ubuntu/+source/fop/+bug/268930 (happening on tomcat even after putting xml-apis-ext.jar on classpath)
- http://apache-fop.1065347.n5.nabble.com/Maven-dependencies-for-fop-1-1-td37437.html (maven depends for fop has the wrong gav. This can be fixes with excludes, however could cause issues).
- http://mail-archives.apache.org/mod_mbox/xmlgraphics-fop-users/201001.mbox/%3Ceb3685a51001071147j3d8d695an65f0352e47a40157@mail.gmail.com%3E (happening on AS7 - missing class)

In addition we have an issue with fop and batik api updates which will cause large changes that need to be tested as well in the Designer codebase.
Comment 6 Kris Verlaenen 2013-10-07 12:14:00 EDT
We've tried to upgrade to 1.7 but failed to do so (within the given time frame) due to various classpath issues (as linked above).  Asked Gary to consider downgrading to our version in the BPEL editor but they are experiencing similar classpath issues when trying to do so.  It seems there's something inherently different in the classpath handling between different versions.

So recommending to keep using batik version 1.6-1 for now.
Comment 7 Ryan Zhang 2013-10-07 22:51:44 EDT
OK, defer it to future target milestone.
Comment 8 Marek Baluch 2013-10-18 02:42:11 EDT
We do want to deploy on top of SOA right? Are we 100% sure that different versions of batik will not cause runtime issues?

Note You need to log in before you can comment on or make changes to this bug.